
//  Etsi.cs  (c) 2005 Kari Laitinen

//  http://www.naturalprogramming.com

//  2005-02-06  Tiedosto luotu.
//  2005-02-06  Viimeisin muutos.

using System ;
using System.IO ;

class Etsi
{
   static void etsi_stringia_tiedostosta( string  tiedoston_nimi_kutsujalta,
                                          string  etsittava_stringi )
   {
      try
      {
         StreamReader luettava_tiedosto  =  new  StreamReader(
                                                 tiedoston_nimi_kutsujalta ) ;
         Console.Write( "\n Etsitaan ... \""
                     +  etsittava_stringi  + "\"\n" ) ;

         int   rivilaskuri  =  0 ;
         bool  tiedoston_loppu_kohdattu  =  false ;

         while ( tiedoston_loppu_kohdattu  ==  false )
         {
            string  tekstirivi_tiedostosta   =  luettava_tiedosto.ReadLine() ;

            if ( tekstirivi_tiedostosta  ==  null )
            {
               tiedoston_loppu_kohdattu  =  true ;
            }
            else
            {
               rivilaskuri  ++ ;

               if ( tekstirivi_tiedostosta.IndexOf(
                                           etsittava_stringi )  !=  -1 )
               {
                  Console.Write( "\n Stringi \"" +  etsittava_stringi
                               + "\" loydetty rivilta "  +  rivilaskuri ) ;
               }
            }
         }

         luettava_tiedosto.Close() ;
      }
      catch ( FileNotFoundException )
      {
         Console.Write( "\n " + tiedoston_nimi_kutsujalta + " ei aukea." ) ;
      }
   }


   static void Main( string[] komentoriviparametrit )
   {
      if ( komentoriviparametrit.Length  ==  2 )
      {
         etsi_stringia_tiedostosta ( komentoriviparametrit[ 0 ],
                                     komentoriviparametrit[ 1 ] ) ;
      }
      else
      {
         Console.Write( "\n Tama ohjelma osaa etsia stringia teksti-"
                      + "\n tiedostosta. Anna tiedoston nimi :  " ) ;

         string  kayttajan_antama_tiedoston_nimi  =  Console.ReadLine() ;

         Console.Write( "\n Anna etsittava stringi: " ) ;

         string  etsittava_stringi    =  Console.ReadLine() ;

         etsi_stringia_tiedostosta( kayttajan_antama_tiedoston_nimi,
                                    etsittava_stringi ) ;
      }
   }
}


